;
!function() {
  try {
    var e = "undefined" != typeof window ? window : "undefined" != typeof global ? global : "undefined" != typeof self ? self : {}, n = new e.Error().stack;
    n && (e._sentryDebugIds = e._sentryDebugIds || {}, e._sentryDebugIds[n] = "3c512e77-fe9b-4db8-985e-b7506195b208", e._sentryDebugIdIdentifier = "sentry-dbid-3c512e77-fe9b-4db8-985e-b7506195b208");
  } catch (e2) {
  }
}();
import { Q as QueryStoreCursor } from "./query.Ds7-oucR.js";
import "./_sentry-release-injection-file.rVMV8KVa.js";
import { a as initClient } from "./base.KP1EuEce.js";
const artifact = {
  "name": "PageProfile",
  "kind": "HoudiniQuery",
  "hash": "1972aab0f5ed9e5883b9369137ecd1d12edcf2f012fa9e1d558e1c44fdf757f2",
  "refetch": {
    "path": ["profile", "groups"],
    "method": "cursor",
    "pageSize": 10,
    "embedded": false,
    "targetType": "Query",
    "paginated": true,
    "direction": "both",
    "mode": "Infinite"
  },
  "raw": `query PageProfile($uid: UID!, $first: Int = 10, $after: String, $last: Int, $before: String) {
  profile(uid: $uid) {
    ... on User {
      id
      isMe
      memberOf: groups {
        group {
          uid
          id
        }
        ...GroupMember
        userUid
        groupUid
      }
      postalAddress: address
      phone
      birthday
      email
      schoolUid
      schoolEmail
      otherEmails
      contributesTo {
        ...AvatarStudentAssociation
        id
      }
      ...TreePersons
    }
    ... on Group {
      id
      membersCount
      boardMembers {
        user {
          uid
          id
        }
        ...GroupMember
        userUid
        groupUid
      }
      roomIsOpen
      canSetGroupRoomOpenState
      canEditMembers
      address
      color
      email
      familyChildren {
        uid
        selfJoinable
        description
        ...AvatarGroup
        id
      }
      related {
        description
        ...AvatarGroup
        id
      }
    }
    ... on StudentAssociation {
      id
      boards: groups(types: [StudentAssociationSection]) {
        nodes {
          ...AvatarGroup
          president {
            ...MemberRoleEmoji
            member {
              fullName
              id
            }
            userUid
            groupUid
          }
          id
        }
      }
      groups(
        first: $first
        types: [Association, Club]
        after: $after
        last: $last
        before: $before
      ) {
        edges {
          node {
            ...AvatarGroup
            description
            id
          }
        }
        edges {
          cursor
          node {
            __typename
          }
        }
        pageInfo {
          hasPreviousPage
          hasNextPage
          startCursor
          endCursor
        }
      }
      services(first: 10) {
        edges {
          node {
            ...CardService
            id
          }
        }
      }
    }
    ... on School {
      id
      address
      studentMailDomain
      aliasMailDomains
      studentAssociations {
        ...AvatarStudentAssociation
        id
      }
      majors {
        ...AvatarMajor
        id
      }
      schoolServices: services {
        ...CardService
        id
      }
    }
    ... on Major {
      id
      discontinued
      longName: name
      schools {
        ...AvatarSchool
        id
      }
      subjects {
        name
        emoji
        unit {
          name
          id
        }
        id
      }
      minors {
        name
        yearTier
        subjects {
          name
          emoji
          unit {
            name
            id
          }
          id
        }
        id
      }
    }
    __typename
  }
}

fragment GroupMember on GroupMember {
  canEditArticles
  canScanEvents
  canEditMembers
  secretary
  treasurer
  vicePresident
  president
  roleEmojis
  title
  user {
    fullName
    uid
    ...AvatarUser
    id
  }
  group {
    name
    uid
    ...AvatarGroup
    id
  }
  userUid
  groupUid
  __typename
}

fragment AvatarStudentAssociation on StudentAssociation {
  name
  uid
  pictureURL
  id
  __typename
}

fragment TreePersons on User {
  uid
  familyTree {
    nesting
    users {
      uid
      fullName
      pictureURL
      id
    }
  }
  id
  __typename
}

fragment AvatarGroup on Group {
  name
  uid
  pictureURL
  pictureURLDark: pictureURL(dark: true)
  id
  __typename
}

fragment MemberRoleEmoji on GroupMember {
  president
  treasurer
  vicePresident
  secretary
  userUid
  groupUid
  __typename
}

fragment CardService on Service {
  description
  id
  pinned
  localID
  url
  name
  logo
  logoSourceType
  canEdit
  owner {
    __typename
    ... on Group {
      ...AvatarGroup
      id
    }
    ... on StudentAssociation {
      ...AvatarStudentAssociation
      id
    }
    ... on School {
      ...AvatarSchool
      id
    }
    __typename
  }
  __typename
}

fragment AvatarMajor on Major {
  pictureURL
  name
  uid
  id
  __typename
}

fragment AvatarSchool on School {
  pictureURL
  name
  uid
  id
  __typename
}

fragment AvatarUser on User {
  fullName
  uid
  pictureURL
  id
  __typename
}
`,
  "rootType": "Query",
  "stripVariables": [],
  "selection": {
    "fields": {
      "profile": {
        "type": "Profile",
        "keyRaw": "profile(uid: $uid)",
        "selection": {
          "abstractFields": {
            "fields": {
              "User": {
                "id": {
                  "type": "ID",
                  "keyRaw": "id",
                  "visible": true,
                  "loading": {
                    "kind": "value"
                  }
                },
                "isMe": {
                  "type": "Boolean",
                  "keyRaw": "isMe",
                  "nullable": true,
                  "loading": {
                    "kind": "value"
                  },
                  "visible": true
                },
                "memberOf": {
                  "type": "GroupMember",
                  "keyRaw": "memberOf",
                  "selection": {
                    "fields": {
                      "canEditArticles": {
                        "type": "Boolean",
                        "keyRaw": "canEditArticles",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "canScanEvents": {
                        "type": "Boolean",
                        "keyRaw": "canScanEvents",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "canEditMembers": {
                        "type": "Boolean",
                        "keyRaw": "canEditMembers",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "secretary": {
                        "type": "Boolean",
                        "keyRaw": "secretary",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "treasurer": {
                        "type": "Boolean",
                        "keyRaw": "treasurer",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "vicePresident": {
                        "type": "Boolean",
                        "keyRaw": "vicePresident",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "president": {
                        "type": "Boolean",
                        "keyRaw": "president",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "roleEmojis": {
                        "type": "String",
                        "keyRaw": "roleEmojis",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "title": {
                        "type": "String",
                        "keyRaw": "title",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "user": {
                        "type": "User",
                        "keyRaw": "user",
                        "selection": {
                          "fields": {
                            "fullName": {
                              "type": "String",
                              "keyRaw": "fullName",
                              "loading": {
                                "kind": "value"
                              }
                            },
                            "uid": {
                              "type": "String",
                              "keyRaw": "uid",
                              "loading": {
                                "kind": "value"
                              }
                            },
                            "pictureURL": {
                              "type": "String",
                              "keyRaw": "pictureURL",
                              "loading": {
                                "kind": "value"
                              }
                            },
                            "id": {
                              "type": "ID",
                              "keyRaw": "id",
                              "visible": true,
                              "loading": {
                                "kind": "value"
                              }
                            },
                            "__typename": {
                              "type": "String",
                              "keyRaw": "__typename",
                              "loading": {
                                "kind": "value"
                              }
                            }
                          },
                          "fragments": {
                            "AvatarUser": {
                              "arguments": {},
                              "loading": true
                            }
                          }
                        },
                        "loading": {
                          "kind": "continue"
                        }
                      },
                      "group": {
                        "type": "Group",
                        "keyRaw": "group",
                        "selection": {
                          "fields": {
                            "name": {
                              "type": "String",
                              "keyRaw": "name",
                              "loading": {
                                "kind": "value"
                              }
                            },
                            "uid": {
                              "type": "String",
                              "keyRaw": "uid",
                              "loading": {
                                "kind": "value"
                              },
                              "visible": true
                            },
                            "pictureURL": {
                              "type": "String",
                              "keyRaw": "pictureURL",
                              "loading": {
                                "kind": "value"
                              }
                            },
                            "pictureURLDark": {
                              "type": "String",
                              "keyRaw": "pictureURLDark(dark: true)",
                              "loading": {
                                "kind": "value"
                              }
                            },
                            "id": {
                              "type": "ID",
                              "keyRaw": "id",
                              "visible": true,
                              "loading": {
                                "kind": "value"
                              }
                            },
                            "__typename": {
                              "type": "String",
                              "keyRaw": "__typename",
                              "loading": {
                                "kind": "value"
                              }
                            }
                          },
                          "fragments": {
                            "AvatarGroup": {
                              "arguments": {},
                              "loading": true
                            }
                          }
                        },
                        "loading": {
                          "kind": "continue"
                        },
                        "visible": true
                      },
                      "userUid": {
                        "type": "UID",
                        "keyRaw": "userUid",
                        "visible": true,
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "groupUid": {
                        "type": "UID",
                        "keyRaw": "groupUid",
                        "visible": true,
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "__typename": {
                        "type": "String",
                        "keyRaw": "__typename",
                        "loading": {
                          "kind": "value"
                        }
                      }
                    },
                    "fragments": {
                      "GroupMember": {
                        "arguments": {},
                        "loading": true
                      }
                    }
                  },
                  "loading": {
                    "kind": "continue",
                    "list": {
                      "depth": 1,
                      "count": 3
                    }
                  },
                  "visible": true
                },
                "postalAddress": {
                  "type": "String",
                  "keyRaw": "postalAddress",
                  "nullable": true,
                  "loading": {
                    "kind": "value"
                  },
                  "visible": true
                },
                "phone": {
                  "type": "String",
                  "keyRaw": "phone",
                  "nullable": true,
                  "loading": {
                    "kind": "value"
                  },
                  "visible": true
                },
                "birthday": {
                  "type": "DateTime",
                  "keyRaw": "birthday",
                  "nullable": true,
                  "loading": {
                    "kind": "value"
                  },
                  "visible": true
                },
                "email": {
                  "type": "Email",
                  "keyRaw": "email",
                  "nullable": true,
                  "loading": {
                    "kind": "value"
                  },
                  "visible": true
                },
                "schoolUid": {
                  "type": "String",
                  "keyRaw": "schoolUid",
                  "nullable": true,
                  "loading": {
                    "kind": "value"
                  },
                  "visible": true
                },
                "schoolEmail": {
                  "type": "Email",
                  "keyRaw": "schoolEmail",
                  "nullable": true,
                  "loading": {
                    "kind": "value"
                  },
                  "visible": true
                },
                "otherEmails": {
                  "type": "Email",
                  "keyRaw": "otherEmails",
                  "nullable": true,
                  "loading": {
                    "kind": "value",
                    "list": {
                      "depth": 1,
                      "count": 3
                    }
                  },
                  "visible": true
                },
                "contributesTo": {
                  "type": "StudentAssociation",
                  "keyRaw": "contributesTo",
                  "nullable": true,
                  "selection": {
                    "fields": {
                      "name": {
                        "type": "String",
                        "keyRaw": "name",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "uid": {
                        "type": "String",
                        "keyRaw": "uid",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "pictureURL": {
                        "type": "String",
                        "keyRaw": "pictureURL",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "id": {
                        "type": "ID",
                        "keyRaw": "id",
                        "visible": true,
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "__typename": {
                        "type": "String",
                        "keyRaw": "__typename",
                        "loading": {
                          "kind": "value"
                        }
                      }
                    },
                    "fragments": {
                      "AvatarStudentAssociation": {
                        "arguments": {},
                        "loading": true
                      }
                    }
                  },
                  "loading": {
                    "kind": "continue",
                    "list": {
                      "depth": 1,
                      "count": 3
                    }
                  },
                  "visible": true
                },
                "uid": {
                  "type": "String",
                  "keyRaw": "uid",
                  "loading": {
                    "kind": "value"
                  }
                },
                "familyTree": {
                  "type": "FamilyTree",
                  "keyRaw": "familyTree",
                  "selection": {
                    "fields": {
                      "nesting": {
                        "type": "String",
                        "keyRaw": "nesting",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "users": {
                        "type": "User",
                        "keyRaw": "users",
                        "selection": {
                          "fields": {
                            "uid": {
                              "type": "String",
                              "keyRaw": "uid",
                              "loading": {
                                "kind": "value"
                              }
                            },
                            "fullName": {
                              "type": "String",
                              "keyRaw": "fullName",
                              "loading": {
                                "kind": "value"
                              }
                            },
                            "pictureURL": {
                              "type": "String",
                              "keyRaw": "pictureURL",
                              "loading": {
                                "kind": "value"
                              }
                            },
                            "id": {
                              "type": "ID",
                              "keyRaw": "id",
                              "visible": true,
                              "loading": {
                                "kind": "value"
                              }
                            }
                          }
                        },
                        "loading": {
                          "kind": "continue",
                          "list": {
                            "depth": 1,
                            "count": 3
                          }
                        }
                      }
                    }
                  },
                  "loading": {
                    "kind": "continue"
                  }
                },
                "__typename": {
                  "type": "String",
                  "keyRaw": "__typename",
                  "loading": {
                    "kind": "value"
                  },
                  "visible": true
                }
              },
              "Group": {
                "id": {
                  "type": "ID",
                  "keyRaw": "id",
                  "visible": true,
                  "loading": {
                    "kind": "value"
                  }
                },
                "membersCount": {
                  "type": "Int",
                  "keyRaw": "membersCount",
                  "loading": {
                    "kind": "value"
                  },
                  "visible": true
                },
                "boardMembers": {
                  "type": "GroupMember",
                  "keyRaw": "boardMembers",
                  "selection": {
                    "fields": {
                      "canEditArticles": {
                        "type": "Boolean",
                        "keyRaw": "canEditArticles",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "canScanEvents": {
                        "type": "Boolean",
                        "keyRaw": "canScanEvents",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "canEditMembers": {
                        "type": "Boolean",
                        "keyRaw": "canEditMembers",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "secretary": {
                        "type": "Boolean",
                        "keyRaw": "secretary",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "treasurer": {
                        "type": "Boolean",
                        "keyRaw": "treasurer",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "vicePresident": {
                        "type": "Boolean",
                        "keyRaw": "vicePresident",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "president": {
                        "type": "Boolean",
                        "keyRaw": "president",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "roleEmojis": {
                        "type": "String",
                        "keyRaw": "roleEmojis",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "title": {
                        "type": "String",
                        "keyRaw": "title",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "user": {
                        "type": "User",
                        "keyRaw": "user",
                        "selection": {
                          "fields": {
                            "fullName": {
                              "type": "String",
                              "keyRaw": "fullName",
                              "loading": {
                                "kind": "value"
                              }
                            },
                            "uid": {
                              "type": "String",
                              "keyRaw": "uid",
                              "loading": {
                                "kind": "value"
                              },
                              "visible": true
                            },
                            "pictureURL": {
                              "type": "String",
                              "keyRaw": "pictureURL",
                              "loading": {
                                "kind": "value"
                              }
                            },
                            "id": {
                              "type": "ID",
                              "keyRaw": "id",
                              "visible": true,
                              "loading": {
                                "kind": "value"
                              }
                            },
                            "__typename": {
                              "type": "String",
                              "keyRaw": "__typename",
                              "loading": {
                                "kind": "value"
                              }
                            }
                          },
                          "fragments": {
                            "AvatarUser": {
                              "arguments": {},
                              "loading": true
                            }
                          }
                        },
                        "loading": {
                          "kind": "continue"
                        },
                        "visible": true
                      },
                      "group": {
                        "type": "Group",
                        "keyRaw": "group",
                        "selection": {
                          "fields": {
                            "name": {
                              "type": "String",
                              "keyRaw": "name",
                              "loading": {
                                "kind": "value"
                              }
                            },
                            "uid": {
                              "type": "String",
                              "keyRaw": "uid",
                              "loading": {
                                "kind": "value"
                              }
                            },
                            "pictureURL": {
                              "type": "String",
                              "keyRaw": "pictureURL",
                              "loading": {
                                "kind": "value"
                              }
                            },
                            "pictureURLDark": {
                              "type": "String",
                              "keyRaw": "pictureURLDark(dark: true)",
                              "loading": {
                                "kind": "value"
                              }
                            },
                            "id": {
                              "type": "ID",
                              "keyRaw": "id",
                              "visible": true,
                              "loading": {
                                "kind": "value"
                              }
                            },
                            "__typename": {
                              "type": "String",
                              "keyRaw": "__typename",
                              "loading": {
                                "kind": "value"
                              }
                            }
                          },
                          "fragments": {
                            "AvatarGroup": {
                              "arguments": {},
                              "loading": true
                            }
                          }
                        },
                        "loading": {
                          "kind": "continue"
                        }
                      },
                      "userUid": {
                        "type": "UID",
                        "keyRaw": "userUid",
                        "visible": true,
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "groupUid": {
                        "type": "UID",
                        "keyRaw": "groupUid",
                        "visible": true,
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "__typename": {
                        "type": "String",
                        "keyRaw": "__typename",
                        "loading": {
                          "kind": "value"
                        }
                      }
                    },
                    "fragments": {
                      "GroupMember": {
                        "arguments": {},
                        "loading": true
                      }
                    }
                  },
                  "loading": {
                    "kind": "continue",
                    "list": {
                      "depth": 1,
                      "count": 3
                    }
                  },
                  "visible": true
                },
                "roomIsOpen": {
                  "type": "Boolean",
                  "keyRaw": "roomIsOpen",
                  "loading": {
                    "kind": "value"
                  },
                  "visible": true
                },
                "canSetGroupRoomOpenState": {
                  "type": "Boolean",
                  "keyRaw": "canSetGroupRoomOpenState",
                  "loading": {
                    "kind": "value"
                  },
                  "visible": true
                },
                "canEditMembers": {
                  "type": "Boolean",
                  "keyRaw": "canEditMembers",
                  "loading": {
                    "kind": "value"
                  },
                  "visible": true
                },
                "address": {
                  "type": "String",
                  "keyRaw": "address",
                  "loading": {
                    "kind": "value"
                  },
                  "visible": true
                },
                "color": {
                  "type": "Color",
                  "keyRaw": "color",
                  "nullable": true,
                  "loading": {
                    "kind": "value"
                  },
                  "visible": true
                },
                "email": {
                  "type": "Email",
                  "keyRaw": "email",
                  "nullable": true,
                  "loading": {
                    "kind": "value"
                  },
                  "visible": true
                },
                "familyChildren": {
                  "type": "Group",
                  "keyRaw": "familyChildren",
                  "selection": {
                    "fields": {
                      "name": {
                        "type": "String",
                        "keyRaw": "name",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "uid": {
                        "type": "String",
                        "keyRaw": "uid",
                        "loading": {
                          "kind": "value"
                        },
                        "visible": true
                      },
                      "pictureURL": {
                        "type": "String",
                        "keyRaw": "pictureURL",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "pictureURLDark": {
                        "type": "String",
                        "keyRaw": "pictureURLDark(dark: true)",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "id": {
                        "type": "ID",
                        "keyRaw": "id",
                        "visible": true,
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "__typename": {
                        "type": "String",
                        "keyRaw": "__typename",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "selfJoinable": {
                        "type": "Boolean",
                        "keyRaw": "selfJoinable",
                        "loading": {
                          "kind": "value"
                        },
                        "visible": true
                      },
                      "description": {
                        "type": "String",
                        "keyRaw": "description",
                        "loading": {
                          "kind": "value"
                        },
                        "visible": true
                      }
                    },
                    "fragments": {
                      "AvatarGroup": {
                        "arguments": {},
                        "loading": true
                      }
                    }
                  },
                  "loading": {
                    "kind": "continue",
                    "list": {
                      "depth": 1,
                      "count": 3
                    }
                  },
                  "visible": true
                },
                "related": {
                  "type": "Group",
                  "keyRaw": "related",
                  "selection": {
                    "fields": {
                      "name": {
                        "type": "String",
                        "keyRaw": "name",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "uid": {
                        "type": "String",
                        "keyRaw": "uid",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "pictureURL": {
                        "type": "String",
                        "keyRaw": "pictureURL",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "pictureURLDark": {
                        "type": "String",
                        "keyRaw": "pictureURLDark(dark: true)",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "id": {
                        "type": "ID",
                        "keyRaw": "id",
                        "visible": true,
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "__typename": {
                        "type": "String",
                        "keyRaw": "__typename",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "description": {
                        "type": "String",
                        "keyRaw": "description",
                        "loading": {
                          "kind": "value"
                        },
                        "visible": true
                      }
                    },
                    "fragments": {
                      "AvatarGroup": {
                        "arguments": {},
                        "loading": true
                      }
                    }
                  },
                  "loading": {
                    "kind": "continue",
                    "list": {
                      "depth": 1,
                      "count": 3
                    }
                  },
                  "visible": true
                },
                "__typename": {
                  "type": "String",
                  "keyRaw": "__typename",
                  "loading": {
                    "kind": "value"
                  },
                  "visible": true
                }
              },
              "StudentAssociation": {
                "id": {
                  "type": "ID",
                  "keyRaw": "id",
                  "visible": true,
                  "loading": {
                    "kind": "value"
                  }
                },
                "boards": {
                  "type": "StudentAssociationGroupsConnection",
                  "keyRaw": "boards(types: [StudentAssociationSection])",
                  "selection": {
                    "fields": {
                      "nodes": {
                        "type": "Group",
                        "keyRaw": "nodes",
                        "selection": {
                          "fields": {
                            "name": {
                              "type": "String",
                              "keyRaw": "name",
                              "loading": {
                                "kind": "value"
                              }
                            },
                            "uid": {
                              "type": "String",
                              "keyRaw": "uid",
                              "loading": {
                                "kind": "value"
                              }
                            },
                            "pictureURL": {
                              "type": "String",
                              "keyRaw": "pictureURL",
                              "loading": {
                                "kind": "value"
                              }
                            },
                            "pictureURLDark": {
                              "type": "String",
                              "keyRaw": "pictureURLDark(dark: true)",
                              "loading": {
                                "kind": "value"
                              }
                            },
                            "id": {
                              "type": "ID",
                              "keyRaw": "id",
                              "visible": true,
                              "loading": {
                                "kind": "value"
                              }
                            },
                            "__typename": {
                              "type": "String",
                              "keyRaw": "__typename",
                              "loading": {
                                "kind": "value"
                              }
                            },
                            "president": {
                              "type": "GroupMember",
                              "keyRaw": "president",
                              "nullable": true,
                              "selection": {
                                "fields": {
                                  "president": {
                                    "type": "Boolean",
                                    "keyRaw": "president",
                                    "loading": {
                                      "kind": "value"
                                    }
                                  },
                                  "treasurer": {
                                    "type": "Boolean",
                                    "keyRaw": "treasurer",
                                    "loading": {
                                      "kind": "value"
                                    }
                                  },
                                  "vicePresident": {
                                    "type": "Boolean",
                                    "keyRaw": "vicePresident",
                                    "loading": {
                                      "kind": "value"
                                    }
                                  },
                                  "secretary": {
                                    "type": "Boolean",
                                    "keyRaw": "secretary",
                                    "loading": {
                                      "kind": "value"
                                    }
                                  },
                                  "userUid": {
                                    "type": "UID",
                                    "keyRaw": "userUid",
                                    "visible": true,
                                    "loading": {
                                      "kind": "value"
                                    }
                                  },
                                  "groupUid": {
                                    "type": "UID",
                                    "keyRaw": "groupUid",
                                    "visible": true,
                                    "loading": {
                                      "kind": "value"
                                    }
                                  },
                                  "__typename": {
                                    "type": "String",
                                    "keyRaw": "__typename",
                                    "loading": {
                                      "kind": "value"
                                    }
                                  },
                                  "member": {
                                    "type": "User",
                                    "keyRaw": "member",
                                    "selection": {
                                      "fields": {
                                        "fullName": {
                                          "type": "String",
                                          "keyRaw": "fullName",
                                          "loading": {
                                            "kind": "value"
                                          },
                                          "visible": true
                                        },
                                        "id": {
                                          "type": "ID",
                                          "keyRaw": "id",
                                          "visible": true,
                                          "loading": {
                                            "kind": "value"
                                          }
                                        }
                                      }
                                    },
                                    "loading": {
                                      "kind": "continue"
                                    },
                                    "visible": true
                                  }
                                },
                                "fragments": {
                                  "MemberRoleEmoji": {
                                    "arguments": {},
                                    "loading": true
                                  }
                                }
                              },
                              "loading": {
                                "kind": "continue"
                              },
                              "visible": true
                            }
                          },
                          "fragments": {
                            "AvatarGroup": {
                              "arguments": {},
                              "loading": true
                            }
                          }
                        },
                        "loading": {
                          "kind": "continue",
                          "list": {
                            "depth": 1,
                            "count": 3
                          }
                        },
                        "visible": true
                      }
                    }
                  },
                  "loading": {
                    "kind": "continue"
                  },
                  "visible": true
                },
                "groups": {
                  "type": "StudentAssociationGroupsConnection",
                  "keyRaw": "groups(types: [Association, Club])::paginated",
                  "directives": [{
                    "name": "paginate",
                    "arguments": {}
                  }],
                  "selection": {
                    "fields": {
                      "edges": {
                        "type": "StudentAssociationGroupsConnectionEdge",
                        "keyRaw": "edges",
                        "updates": ["append", "prepend"],
                        "selection": {
                          "fields": {
                            "node": {
                              "type": "Group",
                              "keyRaw": "node",
                              "selection": {
                                "fields": {
                                  "name": {
                                    "type": "String",
                                    "keyRaw": "name",
                                    "loading": {
                                      "kind": "value"
                                    }
                                  },
                                  "uid": {
                                    "type": "String",
                                    "keyRaw": "uid",
                                    "loading": {
                                      "kind": "value"
                                    }
                                  },
                                  "pictureURL": {
                                    "type": "String",
                                    "keyRaw": "pictureURL",
                                    "loading": {
                                      "kind": "value"
                                    }
                                  },
                                  "pictureURLDark": {
                                    "type": "String",
                                    "keyRaw": "pictureURLDark(dark: true)",
                                    "loading": {
                                      "kind": "value"
                                    }
                                  },
                                  "id": {
                                    "type": "ID",
                                    "keyRaw": "id",
                                    "visible": true,
                                    "loading": {
                                      "kind": "value"
                                    }
                                  },
                                  "__typename": {
                                    "type": "String",
                                    "keyRaw": "__typename",
                                    "loading": {
                                      "kind": "value"
                                    },
                                    "visible": true
                                  },
                                  "description": {
                                    "type": "String",
                                    "keyRaw": "description",
                                    "loading": {
                                      "kind": "value"
                                    },
                                    "visible": true
                                  }
                                },
                                "fragments": {
                                  "AvatarGroup": {
                                    "arguments": {},
                                    "loading": true
                                  }
                                }
                              },
                              "loading": {
                                "kind": "continue"
                              },
                              "visible": true
                            },
                            "cursor": {
                              "type": "String",
                              "keyRaw": "cursor",
                              "loading": {
                                "kind": "value"
                              },
                              "visible": true
                            }
                          }
                        },
                        "loading": {
                          "kind": "continue",
                          "list": {
                            "depth": 1,
                            "count": 3
                          }
                        },
                        "visible": true
                      },
                      "pageInfo": {
                        "type": "PageInfo",
                        "keyRaw": "pageInfo",
                        "selection": {
                          "fields": {
                            "hasPreviousPage": {
                              "type": "Boolean",
                              "keyRaw": "hasPreviousPage",
                              "updates": ["append", "prepend"],
                              "loading": {
                                "kind": "value"
                              },
                              "visible": true
                            },
                            "hasNextPage": {
                              "type": "Boolean",
                              "keyRaw": "hasNextPage",
                              "updates": ["append", "prepend"],
                              "loading": {
                                "kind": "value"
                              },
                              "visible": true
                            },
                            "startCursor": {
                              "type": "String",
                              "keyRaw": "startCursor",
                              "nullable": true,
                              "updates": ["append", "prepend"],
                              "loading": {
                                "kind": "value"
                              },
                              "visible": true
                            },
                            "endCursor": {
                              "type": "String",
                              "keyRaw": "endCursor",
                              "nullable": true,
                              "updates": ["append", "prepend"],
                              "loading": {
                                "kind": "value"
                              },
                              "visible": true
                            }
                          }
                        },
                        "loading": {
                          "kind": "continue"
                        },
                        "visible": true
                      }
                    }
                  },
                  "loading": {
                    "kind": "continue"
                  },
                  "visible": true
                },
                "services": {
                  "type": "StudentAssociationServicesConnection",
                  "keyRaw": "services(first: 10)",
                  "selection": {
                    "fields": {
                      "edges": {
                        "type": "StudentAssociationServicesConnectionEdge",
                        "keyRaw": "edges",
                        "selection": {
                          "fields": {
                            "node": {
                              "type": "Service",
                              "keyRaw": "node",
                              "selection": {
                                "fields": {
                                  "description": {
                                    "type": "String",
                                    "keyRaw": "description",
                                    "loading": {
                                      "kind": "value"
                                    }
                                  },
                                  "id": {
                                    "type": "ID",
                                    "keyRaw": "id",
                                    "visible": true,
                                    "loading": {
                                      "kind": "value"
                                    }
                                  },
                                  "pinned": {
                                    "type": "Boolean",
                                    "keyRaw": "pinned",
                                    "loading": {
                                      "kind": "value"
                                    }
                                  },
                                  "localID": {
                                    "type": "LocalID",
                                    "keyRaw": "localID",
                                    "loading": {
                                      "kind": "value"
                                    }
                                  },
                                  "url": {
                                    "type": "String",
                                    "keyRaw": "url",
                                    "loading": {
                                      "kind": "value"
                                    }
                                  },
                                  "name": {
                                    "type": "String",
                                    "keyRaw": "name",
                                    "loading": {
                                      "kind": "value"
                                    }
                                  },
                                  "logo": {
                                    "type": "String",
                                    "keyRaw": "logo",
                                    "loading": {
                                      "kind": "value"
                                    }
                                  },
                                  "logoSourceType": {
                                    "type": "LogoSourceType",
                                    "keyRaw": "logoSourceType",
                                    "loading": {
                                      "kind": "value"
                                    }
                                  },
                                  "canEdit": {
                                    "type": "Boolean",
                                    "keyRaw": "canEdit",
                                    "loading": {
                                      "kind": "value"
                                    }
                                  },
                                  "owner": {
                                    "type": "ServiceOwner",
                                    "keyRaw": "owner",
                                    "selection": {
                                      "abstractFields": {
                                        "fields": {
                                          "Group": {
                                            "name": {
                                              "type": "String",
                                              "keyRaw": "name",
                                              "loading": {
                                                "kind": "value"
                                              }
                                            },
                                            "uid": {
                                              "type": "String",
                                              "keyRaw": "uid",
                                              "loading": {
                                                "kind": "value"
                                              }
                                            },
                                            "pictureURL": {
                                              "type": "String",
                                              "keyRaw": "pictureURL",
                                              "loading": {
                                                "kind": "value"
                                              }
                                            },
                                            "pictureURLDark": {
                                              "type": "String",
                                              "keyRaw": "pictureURLDark(dark: true)",
                                              "loading": {
                                                "kind": "value"
                                              }
                                            },
                                            "id": {
                                              "type": "ID",
                                              "keyRaw": "id",
                                              "visible": true,
                                              "loading": {
                                                "kind": "value"
                                              }
                                            },
                                            "__typename": {
                                              "type": "String",
                                              "keyRaw": "__typename",
                                              "loading": {
                                                "kind": "value"
                                              }
                                            }
                                          },
                                          "StudentAssociation": {
                                            "name": {
                                              "type": "String",
                                              "keyRaw": "name",
                                              "loading": {
                                                "kind": "value"
                                              }
                                            },
                                            "uid": {
                                              "type": "String",
                                              "keyRaw": "uid",
                                              "loading": {
                                                "kind": "value"
                                              }
                                            },
                                            "pictureURL": {
                                              "type": "String",
                                              "keyRaw": "pictureURL",
                                              "loading": {
                                                "kind": "value"
                                              }
                                            },
                                            "id": {
                                              "type": "ID",
                                              "keyRaw": "id",
                                              "visible": true,
                                              "loading": {
                                                "kind": "value"
                                              }
                                            },
                                            "__typename": {
                                              "type": "String",
                                              "keyRaw": "__typename",
                                              "loading": {
                                                "kind": "value"
                                              }
                                            }
                                          },
                                          "School": {
                                            "pictureURL": {
                                              "type": "String",
                                              "keyRaw": "pictureURL",
                                              "loading": {
                                                "kind": "value"
                                              }
                                            },
                                            "name": {
                                              "type": "String",
                                              "keyRaw": "name",
                                              "loading": {
                                                "kind": "value"
                                              }
                                            },
                                            "uid": {
                                              "type": "String",
                                              "keyRaw": "uid",
                                              "loading": {
                                                "kind": "value"
                                              }
                                            },
                                            "id": {
                                              "type": "ID",
                                              "keyRaw": "id",
                                              "visible": true,
                                              "loading": {
                                                "kind": "value"
                                              }
                                            },
                                            "__typename": {
                                              "type": "String",
                                              "keyRaw": "__typename",
                                              "loading": {
                                                "kind": "value"
                                              }
                                            }
                                          }
                                        },
                                        "typeMap": {}
                                      },
                                      "fields": {
                                        "__typename": {
                                          "type": "String",
                                          "keyRaw": "__typename",
                                          "loading": {
                                            "kind": "value"
                                          }
                                        }
                                      },
                                      "fragments": {
                                        "AvatarGroup": {
                                          "arguments": {},
                                          "loading": true
                                        },
                                        "AvatarStudentAssociation": {
                                          "arguments": {},
                                          "loading": true
                                        },
                                        "AvatarSchool": {
                                          "arguments": {},
                                          "loading": true
                                        }
                                      }
                                    },
                                    "loading": {
                                      "kind": "continue"
                                    },
                                    "abstract": true
                                  },
                                  "__typename": {
                                    "type": "String",
                                    "keyRaw": "__typename",
                                    "loading": {
                                      "kind": "value"
                                    }
                                  }
                                },
                                "fragments": {
                                  "CardService": {
                                    "arguments": {},
                                    "loading": true
                                  }
                                }
                              },
                              "loading": {
                                "kind": "continue"
                              },
                              "visible": true
                            }
                          }
                        },
                        "loading": {
                          "kind": "continue",
                          "list": {
                            "depth": 1,
                            "count": 3
                          }
                        },
                        "visible": true
                      }
                    }
                  },
                  "loading": {
                    "kind": "continue"
                  },
                  "visible": true
                },
                "__typename": {
                  "type": "String",
                  "keyRaw": "__typename",
                  "loading": {
                    "kind": "value"
                  },
                  "visible": true
                }
              },
              "School": {
                "id": {
                  "type": "ID",
                  "keyRaw": "id",
                  "visible": true,
                  "loading": {
                    "kind": "value"
                  }
                },
                "address": {
                  "type": "String",
                  "keyRaw": "address",
                  "loading": {
                    "kind": "value"
                  },
                  "visible": true
                },
                "studentMailDomain": {
                  "type": "String",
                  "keyRaw": "studentMailDomain",
                  "loading": {
                    "kind": "value"
                  },
                  "visible": true
                },
                "aliasMailDomains": {
                  "type": "String",
                  "keyRaw": "aliasMailDomains",
                  "loading": {
                    "kind": "value",
                    "list": {
                      "depth": 1,
                      "count": 3
                    }
                  },
                  "visible": true
                },
                "studentAssociations": {
                  "type": "StudentAssociation",
                  "keyRaw": "studentAssociations",
                  "selection": {
                    "fields": {
                      "name": {
                        "type": "String",
                        "keyRaw": "name",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "uid": {
                        "type": "String",
                        "keyRaw": "uid",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "pictureURL": {
                        "type": "String",
                        "keyRaw": "pictureURL",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "id": {
                        "type": "ID",
                        "keyRaw": "id",
                        "visible": true,
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "__typename": {
                        "type": "String",
                        "keyRaw": "__typename",
                        "loading": {
                          "kind": "value"
                        }
                      }
                    },
                    "fragments": {
                      "AvatarStudentAssociation": {
                        "arguments": {},
                        "loading": true
                      }
                    }
                  },
                  "loading": {
                    "kind": "continue",
                    "list": {
                      "depth": 1,
                      "count": 3
                    }
                  },
                  "visible": true
                },
                "majors": {
                  "type": "Major",
                  "keyRaw": "majors",
                  "selection": {
                    "fields": {
                      "pictureURL": {
                        "type": "String",
                        "keyRaw": "pictureURL",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "name": {
                        "type": "String",
                        "keyRaw": "name",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "uid": {
                        "type": "String",
                        "keyRaw": "uid",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "id": {
                        "type": "ID",
                        "keyRaw": "id",
                        "visible": true,
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "__typename": {
                        "type": "String",
                        "keyRaw": "__typename",
                        "loading": {
                          "kind": "value"
                        }
                      }
                    },
                    "fragments": {
                      "AvatarMajor": {
                        "arguments": {},
                        "loading": true
                      }
                    }
                  },
                  "loading": {
                    "kind": "continue",
                    "list": {
                      "depth": 1,
                      "count": 3
                    }
                  },
                  "visible": true
                },
                "schoolServices": {
                  "type": "Service",
                  "keyRaw": "schoolServices",
                  "selection": {
                    "fields": {
                      "description": {
                        "type": "String",
                        "keyRaw": "description",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "id": {
                        "type": "ID",
                        "keyRaw": "id",
                        "visible": true,
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "pinned": {
                        "type": "Boolean",
                        "keyRaw": "pinned",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "localID": {
                        "type": "LocalID",
                        "keyRaw": "localID",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "url": {
                        "type": "String",
                        "keyRaw": "url",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "name": {
                        "type": "String",
                        "keyRaw": "name",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "logo": {
                        "type": "String",
                        "keyRaw": "logo",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "logoSourceType": {
                        "type": "LogoSourceType",
                        "keyRaw": "logoSourceType",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "canEdit": {
                        "type": "Boolean",
                        "keyRaw": "canEdit",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "owner": {
                        "type": "ServiceOwner",
                        "keyRaw": "owner",
                        "selection": {
                          "abstractFields": {
                            "fields": {
                              "Group": {
                                "name": {
                                  "type": "String",
                                  "keyRaw": "name",
                                  "loading": {
                                    "kind": "value"
                                  }
                                },
                                "uid": {
                                  "type": "String",
                                  "keyRaw": "uid",
                                  "loading": {
                                    "kind": "value"
                                  }
                                },
                                "pictureURL": {
                                  "type": "String",
                                  "keyRaw": "pictureURL",
                                  "loading": {
                                    "kind": "value"
                                  }
                                },
                                "pictureURLDark": {
                                  "type": "String",
                                  "keyRaw": "pictureURLDark(dark: true)",
                                  "loading": {
                                    "kind": "value"
                                  }
                                },
                                "id": {
                                  "type": "ID",
                                  "keyRaw": "id",
                                  "visible": true,
                                  "loading": {
                                    "kind": "value"
                                  }
                                },
                                "__typename": {
                                  "type": "String",
                                  "keyRaw": "__typename",
                                  "loading": {
                                    "kind": "value"
                                  }
                                }
                              },
                              "StudentAssociation": {
                                "name": {
                                  "type": "String",
                                  "keyRaw": "name",
                                  "loading": {
                                    "kind": "value"
                                  }
                                },
                                "uid": {
                                  "type": "String",
                                  "keyRaw": "uid",
                                  "loading": {
                                    "kind": "value"
                                  }
                                },
                                "pictureURL": {
                                  "type": "String",
                                  "keyRaw": "pictureURL",
                                  "loading": {
                                    "kind": "value"
                                  }
                                },
                                "id": {
                                  "type": "ID",
                                  "keyRaw": "id",
                                  "visible": true,
                                  "loading": {
                                    "kind": "value"
                                  }
                                },
                                "__typename": {
                                  "type": "String",
                                  "keyRaw": "__typename",
                                  "loading": {
                                    "kind": "value"
                                  }
                                }
                              },
                              "School": {
                                "pictureURL": {
                                  "type": "String",
                                  "keyRaw": "pictureURL",
                                  "loading": {
                                    "kind": "value"
                                  }
                                },
                                "name": {
                                  "type": "String",
                                  "keyRaw": "name",
                                  "loading": {
                                    "kind": "value"
                                  }
                                },
                                "uid": {
                                  "type": "String",
                                  "keyRaw": "uid",
                                  "loading": {
                                    "kind": "value"
                                  }
                                },
                                "id": {
                                  "type": "ID",
                                  "keyRaw": "id",
                                  "visible": true,
                                  "loading": {
                                    "kind": "value"
                                  }
                                },
                                "__typename": {
                                  "type": "String",
                                  "keyRaw": "__typename",
                                  "loading": {
                                    "kind": "value"
                                  }
                                }
                              }
                            },
                            "typeMap": {}
                          },
                          "fields": {
                            "__typename": {
                              "type": "String",
                              "keyRaw": "__typename",
                              "loading": {
                                "kind": "value"
                              }
                            }
                          },
                          "fragments": {
                            "AvatarGroup": {
                              "arguments": {},
                              "loading": true
                            },
                            "AvatarStudentAssociation": {
                              "arguments": {},
                              "loading": true
                            },
                            "AvatarSchool": {
                              "arguments": {},
                              "loading": true
                            }
                          }
                        },
                        "loading": {
                          "kind": "continue"
                        },
                        "abstract": true
                      },
                      "__typename": {
                        "type": "String",
                        "keyRaw": "__typename",
                        "loading": {
                          "kind": "value"
                        }
                      }
                    },
                    "fragments": {
                      "CardService": {
                        "arguments": {},
                        "loading": true
                      }
                    }
                  },
                  "loading": {
                    "kind": "continue",
                    "list": {
                      "depth": 1,
                      "count": 3
                    }
                  },
                  "visible": true
                },
                "__typename": {
                  "type": "String",
                  "keyRaw": "__typename",
                  "loading": {
                    "kind": "value"
                  },
                  "visible": true
                }
              },
              "Major": {
                "id": {
                  "type": "ID",
                  "keyRaw": "id",
                  "visible": true,
                  "loading": {
                    "kind": "value"
                  }
                },
                "discontinued": {
                  "type": "Boolean",
                  "keyRaw": "discontinued",
                  "loading": {
                    "kind": "value"
                  },
                  "visible": true
                },
                "longName": {
                  "type": "String",
                  "keyRaw": "longName",
                  "loading": {
                    "kind": "value"
                  },
                  "visible": true
                },
                "schools": {
                  "type": "School",
                  "keyRaw": "schools",
                  "selection": {
                    "fields": {
                      "pictureURL": {
                        "type": "String",
                        "keyRaw": "pictureURL",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "name": {
                        "type": "String",
                        "keyRaw": "name",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "uid": {
                        "type": "String",
                        "keyRaw": "uid",
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "id": {
                        "type": "ID",
                        "keyRaw": "id",
                        "visible": true,
                        "loading": {
                          "kind": "value"
                        }
                      },
                      "__typename": {
                        "type": "String",
                        "keyRaw": "__typename",
                        "loading": {
                          "kind": "value"
                        }
                      }
                    },
                    "fragments": {
                      "AvatarSchool": {
                        "arguments": {},
                        "loading": true
                      }
                    }
                  },
                  "loading": {
                    "kind": "continue",
                    "list": {
                      "depth": 1,
                      "count": 3
                    }
                  },
                  "visible": true
                },
                "subjects": {
                  "type": "Subject",
                  "keyRaw": "subjects",
                  "selection": {
                    "fields": {
                      "name": {
                        "type": "String",
                        "keyRaw": "name",
                        "loading": {
                          "kind": "value"
                        },
                        "visible": true
                      },
                      "emoji": {
                        "type": "String",
                        "keyRaw": "emoji",
                        "loading": {
                          "kind": "value"
                        },
                        "visible": true
                      },
                      "unit": {
                        "type": "TeachingUnit",
                        "keyRaw": "unit",
                        "nullable": true,
                        "selection": {
                          "fields": {
                            "name": {
                              "type": "String",
                              "keyRaw": "name",
                              "loading": {
                                "kind": "value"
                              },
                              "visible": true
                            },
                            "id": {
                              "type": "ID",
                              "keyRaw": "id",
                              "visible": true,
                              "loading": {
                                "kind": "value"
                              }
                            }
                          }
                        },
                        "loading": {
                          "kind": "continue"
                        },
                        "visible": true
                      },
                      "id": {
                        "type": "ID",
                        "keyRaw": "id",
                        "visible": true,
                        "loading": {
                          "kind": "value"
                        }
                      }
                    }
                  },
                  "loading": {
                    "kind": "continue",
                    "list": {
                      "depth": 1,
                      "count": 3
                    }
                  },
                  "visible": true
                },
                "minors": {
                  "type": "Minor",
                  "keyRaw": "minors",
                  "selection": {
                    "fields": {
                      "name": {
                        "type": "String",
                        "keyRaw": "name",
                        "loading": {
                          "kind": "value"
                        },
                        "visible": true
                      },
                      "yearTier": {
                        "type": "Int",
                        "keyRaw": "yearTier",
                        "loading": {
                          "kind": "value"
                        },
                        "visible": true
                      },
                      "subjects": {
                        "type": "Subject",
                        "keyRaw": "subjects",
                        "selection": {
                          "fields": {
                            "name": {
                              "type": "String",
                              "keyRaw": "name",
                              "loading": {
                                "kind": "value"
                              },
                              "visible": true
                            },
                            "emoji": {
                              "type": "String",
                              "keyRaw": "emoji",
                              "loading": {
                                "kind": "value"
                              },
                              "visible": true
                            },
                            "unit": {
                              "type": "TeachingUnit",
                              "keyRaw": "unit",
                              "nullable": true,
                              "selection": {
                                "fields": {
                                  "name": {
                                    "type": "String",
                                    "keyRaw": "name",
                                    "loading": {
                                      "kind": "value"
                                    },
                                    "visible": true
                                  },
                                  "id": {
                                    "type": "ID",
                                    "keyRaw": "id",
                                    "visible": true,
                                    "loading": {
                                      "kind": "value"
                                    }
                                  }
                                }
                              },
                              "loading": {
                                "kind": "continue"
                              },
                              "visible": true
                            },
                            "id": {
                              "type": "ID",
                              "keyRaw": "id",
                              "visible": true,
                              "loading": {
                                "kind": "value"
                              }
                            }
                          }
                        },
                        "loading": {
                          "kind": "continue",
                          "list": {
                            "depth": 1,
                            "count": 3
                          }
                        },
                        "visible": true
                      },
                      "id": {
                        "type": "ID",
                        "keyRaw": "id",
                        "visible": true,
                        "loading": {
                          "kind": "value"
                        }
                      }
                    }
                  },
                  "loading": {
                    "kind": "continue",
                    "list": {
                      "depth": 1,
                      "count": 3
                    }
                  },
                  "visible": true
                },
                "__typename": {
                  "type": "String",
                  "keyRaw": "__typename",
                  "loading": {
                    "kind": "value"
                  },
                  "visible": true
                }
              }
            },
            "typeMap": {}
          },
          "fields": {
            "__typename": {
              "type": "String",
              "keyRaw": "__typename",
              "loading": {
                "kind": "value"
              },
              "visible": true
            }
          },
          "fragments": {
            "TreePersons": {
              "arguments": {},
              "loading": true
            }
          }
        },
        "loading": {
          "kind": "continue"
        },
        "abstract": true,
        "visible": true
      }
    }
  },
  "pluginData": {
    "houdini-svelte": {}
  },
  "dedupe": "last",
  "enableLoadingState": "global",
  "input": {
    "fields": {
      "uid": "UID",
      "first": "Int",
      "after": "String",
      "last": "Int",
      "before": "String"
    },
    "types": {},
    "defaults": {
      "first": 10
    },
    "runtimeScalars": {}
  },
  "policy": "CacheAndNetwork",
  "partial": false
};
class PageProfileStore extends QueryStoreCursor {
  constructor() {
    super({
      artifact,
      storeName: "PageProfileStore",
      variables: true
    });
  }
}
async function load_PageProfile(params) {
  await initClient();
  const store = new PageProfileStore();
  await store.fetch(params);
  return {
    PageProfile: store
  };
}
export {
  PageProfileStore as P,
  load_PageProfile as l
};
//# sourceMappingURL=PageProfile.CghtK61_.js.map
