var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
;
!function() {
  try {
    var e = "undefined" != typeof window ? window : "undefined" != typeof global ? global : "undefined" != typeof self ? self : {}, n = new e.Error().stack;
    n && (e._sentryDebugIds = e._sentryDebugIds || {}, e._sentryDebugIds[n] = "0c4bb0dc-3cc3-4604-af85-26b61312c3b3", e._sentryDebugIdIdentifier = "sentry-dbid-0c4bb0dc-3cc3-4604-af85-26b61312c3b3");
  } catch (e2) {
  }
}();
import { d as CompiledQueryKind, g as getCurrentConfig, e as CachePolicy, A as ArtifactKind } from "./index.DWII6R-4.js";
import "./_sentry-release-injection-file.rVMV8KVa.js";
import { p as get_store_value } from "./scheduler.BQDE9HTf.js";
import { B as BaseStore, a as initClient, c as clientStarted, i as isBrowser } from "./base.KP1EuEce.js";
import { g as getSession } from "./session.BnUUo1V_.js";
function colorize(message) {
  const matches = [...message.matchAll(/\$HOUDINI\$(\w*\$)?/g)];
  if (matches.length === 0) {
    return [message];
  }
  let final = message.replaceAll(/\$HOUDINI\$(\w*\$)?/g, "%c");
  let colors = [];
  for (const match of matches) {
    const color = match[1] ? `color:${match[1].slice(0, -1)}` : "";
    colors.push(color);
  }
  return [final, ...colors];
}
function error(message) {
  console.error(...colorize(message));
}
function info(message) {
  console.log(...colorize(message));
}
class QueryStore extends BaseStore {
  constructor({ artifact, storeName, variables }) {
    var _a;
    const fetching = ((_a = artifact.pluginData["houdini-svelte"]) == null ? void 0 : _a.isManualLoad) !== true;
    super({
      artifact,
      fetching,
      initialize: !artifact.pluginData["houdini-svelte"].isManualLoad
    });
    __publicField(this, "variables");
    __publicField(this, "kind", CompiledQueryKind);
    __publicField(this, "loadPending", false);
    __publicField(this, "storeName");
    this.storeName = storeName;
    this.variables = variables;
  }
  async fetch(args) {
    var _a;
    const client = await initClient();
    this.setup(false);
    const { policy, params, context } = await fetchParams(this.artifact, this.storeName, args);
    const isLoadFetch = Boolean("event" in params && params.event);
    const isComponentFetch = !isLoadFetch;
    if (this.loadPending && isComponentFetch) {
      error(`⚠️ Encountered fetch from your component while ${this.storeName}.load was running.
This will result in duplicate queries. If you are trying to ensure there is always a good value, please a CachePolicy instead.`);
      return get_store_value(this.observer);
    }
    if (isComponentFetch) {
      params.blocking = true;
    }
    const config = getCurrentConfig();
    const config_svelte = config.plugins["houdini-svelte"];
    const pluginArtifact = this.artifact.pluginData["houdini-svelte"];
    let need_to_block = false;
    if (client.throwOnError_operations.includes("all") || client.throwOnError_operations.includes("query")) {
      if (config_svelte.defaultRouteBlocking === false) {
        info(
          '[Houdini] ⚠️ throwOnError with operation "all" or "query", is not compatible with defaultRouteBlocking set to "false"'
        );
      }
    }
    if (config_svelte.defaultRouteBlocking === true) {
      need_to_block = true;
    }
    if (client.throwOnError_operations.includes("all") || client.throwOnError_operations.includes("query")) {
      need_to_block = true;
    }
    if ((pluginArtifact == null ? void 0 : pluginArtifact.set_blocking) === true) {
      need_to_block = true;
    } else if ((pluginArtifact == null ? void 0 : pluginArtifact.set_blocking) === false) {
      need_to_block = false;
    }
    if ((params == null ? void 0 : params.blocking) === true) {
      need_to_block = true;
    } else if ((params == null ? void 0 : params.blocking) === false) {
      need_to_block = false;
    }
    if (isLoadFetch) {
      this.loadPending = true;
    }
    if (this.artifact.enableLoadingState) {
      need_to_block = false;
    }
    const fakeAwait = clientStarted && isBrowser && !need_to_block;
    const usedVariables = {
      ...(_a = this.artifact.input) == null ? void 0 : _a.defaults,
      ...params.variables
    };
    const refersToCache = policy !== CachePolicy.NetworkOnly && policy !== CachePolicy.NoCache;
    if (refersToCache && fakeAwait) {
      await this.observer.send({
        fetch: context.fetch,
        variables: usedVariables,
        metadata: params.metadata,
        session: context.session,
        policy: CachePolicy.CacheOnly,
        silenceEcho: true
      });
    }
    const request = this.observer.send({
      fetch: context.fetch,
      variables: usedVariables,
      metadata: params.metadata,
      session: context.session,
      policy,
      stuff: {}
    });
    request.then((val) => {
      var _a2;
      this.loadPending = false;
      (_a2 = params.then) == null ? void 0 : _a2.call(params, val.data);
    }).catch(() => {
    });
    if (!fakeAwait) {
      await request;
    }
    return get_store_value(this.observer);
  }
}
async function fetchParams(artifact, storeName, params) {
  let policy = params == null ? void 0 : params.policy;
  if (!policy && artifact.kind === ArtifactKind.Query) {
    policy = artifact.policy ?? CachePolicy.CacheOrNetwork;
  }
  let fetchFn = null;
  if (params) {
    if ("fetch" in params && params.fetch) {
      fetchFn = params.fetch;
    } else if ("event" in params && params.event && "fetch" in params.event) {
      fetchFn = params.event.fetch;
    }
  }
  if (!fetchFn) {
    fetchFn = globalThis.fetch.bind(globalThis);
  }
  let session = void 0;
  if (params && "event" in params && params.event) {
    session = await getSession(params.event);
  } else {
    session = await getSession();
  }
  return {
    context: {
      fetch: fetchFn,
      metadata: (params == null ? void 0 : params.metadata) ?? {},
      session
    },
    policy,
    params: params ?? {}
  };
}
export {
  QueryStore as Q,
  fetchParams as f
};
//# sourceMappingURL=query.ejCYOnmL.js.map
