;
!function() {
  try {
    var e = "undefined" != typeof window ? window : "undefined" != typeof global ? global : "undefined" != typeof self ? self : {}, n = new e.Error().stack;
    n && (e._sentryDebugIds = e._sentryDebugIds || {}, e._sentryDebugIds[n] = "dc9fe142-1368-41df-9947-6c31962b8ef2", e._sentryDebugIdIdentifier = "sentry-dbid-dc9fe142-1368-41df-9947-6c31962b8ef2");
  } catch (e2) {
  }
}();
import { t as track } from "./analytics.D0xrCkQK.js";
import { m as mutationSucceeded, a as mutationErrorMessages } from "./errors.DOpqD7d7.js";
import { e as entries } from "./typing.XyC_qbDa.js";
import { n as nanoid } from "./index.browser.IpGthDG8.js";
import { w as writable } from "./index.wVjo676J.js";
import { d as debugging } from "./debugging.BdS_Zr_Q.js";
import "./_sentry-release-injection-file.rVMV8KVa.js";
import { r as requiredArgs } from "./index.BV1w0KMW.js";
import { m as millisecondsInMinute } from "./index.D6vAF8mi.js";
import { p as get_store_value } from "./scheduler.BQDE9HTf.js";
function minutesToMilliseconds(minutes) {
  requiredArgs(1, arguments);
  return Math.floor(minutes * millisecondsInMinute);
}
const MAX_TOASTS_COUNT = 3;
const TOAST_LIFETIME_MS = 3e3;
const toasts = {
  ...writable([]),
  add(type, title, body = "", options) {
    if (!title)
      return;
    const {
      labels,
      data,
      closed,
      action,
      lifetime,
      ...rest
    } = options ?? {
      labels: {
        action: "",
        close: ""
      },
      data: void 0
    };
    const callbacks = {
      closed,
      action
    };
    if (Object.values(callbacks).some(Boolean) && !data)
      throw new Error("You must provide data if you're using callbacks");
    const id = nanoid();
    const wordsCount = body.split(" ").length + title.split(" ").length;
    toasts._add({
      addedAt: /* @__PURE__ */ new Date(),
      id,
      title,
      body,
      type,
      labels: labels ?? {
        action: "",
        close: ""
      },
      callbacks: callbacks ?? {},
      data,
      lifetime: lifetime === "inferred" ? 3e3 + minutesToMilliseconds(wordsCount / 300) : lifetime,
      ...rest
    });
    return id;
  },
  _add(toast) {
    toasts.update((ts) => [...ts.slice(0, MAX_TOASTS_COUNT - 1), {
      ...toast,
      title: toast.body ? toast.title : "",
      body: toast.body || toast.title
    }]);
  },
  warn(title, body = "", options) {
    return toasts.add("warning", title, body, options);
  },
  info(title, body = "", options) {
    return toasts.add("info", title, body, options);
  },
  success(title, body = "", options) {
    return toasts.add("success", title, body, options);
  },
  error(title, body = "", options) {
    track("error-toast-shown", {
      title,
      body
    });
    return toasts.add("error", title, body, {
      ...options,
      lifetime: (options == null ? void 0 : options.lifetime) ?? "inferred"
    });
  },
  debug(title, body = "", options) {
    if (!get_store_value(debugging))
      return void 0;
    return toasts.add("debug", title, body, options);
  },
  mutation(result, mutationName, successMessage, errorMessage, caveats = void 0, options = void 0) {
    if (result === void 0)
      return false;
    if (mutationSucceeded(mutationName, result)) {
      if (caveats && Object.entries(result.data[mutationName]).some(([key, value]) => key in caveats && value)) {
        entries(caveats).filter(
          (arg) => arg[1] !== null
        ).map(([key, level]) => {
          const message = result.data[mutationName][key];
          if (message) {
            toasts.add(level, message, "", {
              lifetime: "inferred"
            });
          }
        });
      } else {
        toasts.success(
          typeof successMessage === "function" ? successMessage(result.data[mutationName].data) : successMessage,
          "",
          options
        );
      }
      return true;
    }
    toasts.error(
      errorMessage,
      mutationErrorMessages(mutationName, result).join("; "),
      options
    );
    return false;
  },
  async remove(id) {
    var _a;
    const toast = get_store_value(toasts).find((toast2) => toast2.id === id);
    if (!toast)
      return;
    if ((_a = toast.callbacks) == null ? void 0 : _a.closed)
      await toast.callbacks.closed(toast);
    toasts.update((toasts2) => toasts2.filter((toast2) => toast2.id !== id));
  }
};
export {
  TOAST_LIFETIME_MS as T,
  toasts as t
};
//# sourceMappingURL=toasts.CQv6DnwL.js.map
